using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Dvb.Descriptors
{
	[SkyscraperPlugin]
	[TsDescriptor(0x67,"TSDT")]
    [BannedTable("NIT","BAT","SDT","EIT","TOT","PMT")]
    class TransportStreamDescriptor : TsDescriptor
    {
        public TransportStreamDescriptor(byte[] buffer)
        {
            Compliance = Encoding.ASCII.GetString(buffer);
        }

        public string Compliance { get; private set; }
    }
}
